_PurplePounce Struct Reference

A buddy pounce structure. More...

`#include <pounce.h>`

## Data Fields

char * | ui_type
| The type of UI. More...
PurplePounceEvent | events
| The event(s) to pounce on. More...
PurplePounceOption | options
| The pounce options.
PurpleAccount * | pouncer
| The user who is pouncing. More...
char * | pouncee
| The buddy to pounce on. More...
GHashTable * | actions
| The registered actions. More...
gboolean | save
| Whether or not the pounce should be saved after activation. More...
void * | data
| Pounce-specific data. More...

## Detailed Description

A buddy pounce structure.

Buddy pounces are actions triggered by a buddy-related event. For example, a sound can be played or an IM window opened when a buddy signs on or returns from away. Such responses are handled in the UI. The events themselves are done in the core.

Definition at line 70 of file pounce.h.

## Field Documentation

## actions

GHashTable* _PurplePounce::actions

The registered actions.

Definition at line 80 of file pounce.h.

## data

void* _PurplePounce::data

Pounce-specific data.

Definition at line 84 of file pounce.h.

## events

PurplePounceEvent _PurplePounce::events

The event(s) to pounce on.

Definition at line 74 of file pounce.h.

## pouncee

char* _PurplePounce::pouncee

The buddy to pounce on.

Definition at line 78 of file pounce.h.

## pouncer

PurpleAccount* _PurplePounce::pouncer

The user who is pouncing.

Definition at line 76 of file pounce.h.

## save

gboolean _PurplePounce::save

Whether or not the pounce should be saved after activation.

Definition at line 82 of file pounce.h.

## ui_type

char* _PurplePounce::ui_type

The type of UI.

Definition at line 72 of file pounce.h.

The documentation for this struct was generated from the following file:

- pounce.h